
import 'package:flutter/material.dart';
import 'package:flutter_microsoft_login/ms_login.dart';
import 'package:shared_preferences/shared_preferences.dart';


class AuthSuccessView extends StatefulWidget {
  const AuthSuccessView({Key? key, required this.detail, String? accessToken}) : super(key: key);
  final String detail;
  @override
  State<AuthSuccessView> createState() => _AuthSuccessViewState();
}

class _AuthSuccessViewState extends State<AuthSuccessView> {
  @override
  Widget build(BuildContext context) {
    return  Scaffold(
      appBar: AppBar(title: const Text( "Home",)),
      body: SafeArea(
        child: Center(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              const Text("welcome to Home Screen", style: TextStyle(fontSize: 20, fontWeight: FontWeight.bold),),
              const SizedBox(height: 40,),
              Text("Auth Success"),
              ElevatedButton(
                onPressed: () async {
                  final prefs = await SharedPreferences.getInstance();
                  await prefs.setString('accessToken', '');
                  Navigator.pushReplacement(
                      context,
                      MaterialPageRoute(
                          builder: (context) => MS365Login()));
                },
                child: const Text('Logout'),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
